Creating New Layers

by Mark Pettitt on December 14, 2011

Firstly, a note from Will:

A few days ago this post went out using the word “apostrophe”, when it should have said “comma”. In a word, oops. Give Mark a break – its a great tip, even if sometimes he confuses the names of punctuation! Also apologies if you received a duplicate email, evidently my system doesn’t like it when posts get unpublished! Now for the post…

Hello and welcome to my first post on HowToAutoCAD.com.  First things first though, I’m Mark Pettitt and I’ve been using AutoCAD® since the days of the puck and digitiser, and Windows For Workgroups as an OS!!  I’ve built a practical knowledge base using AutoCAD® creating project work mostly in the Building Services stream, helping to pull together designs for all sorts of construction projects through the years.  Radiohead, Zhandra Rhodes and the giant ‘Gherkin’ building in London all have a little bit of me somewhere in their lives.

So, my first post………

There are numerous ways to create new layers in AutoCAD®, a quick way I use quite a lot is using the comma (,) within the layer dialogue.

For example, if you want to create a new layer named slightly differently to one that already exists, in an open layer dialogue, right click on the source layer you want to copy, select the layer name text then hit CTRL + C for copy (or right click and select copy from the contextual menu):

Now, whilst the little edit box is still open on the layer text hit the comma key and another layer entry should be added directly underneath the one you have highlighted:

 

Hit CTRL + V (or again right click and select paste this time) to paste in the layer text you just copied and amend the layer name hitting APPLY or OK when finished.  What you’ll also notice is that whatever colour or lines that are set in your source layer will be copied to your newly created layer.  I find this way of creating duplicate layers handy to create layers with certain settings already defined. I also find it very quick to add lots of layers by typing in the new layer name then hitting comma instead of RETURN, which then drops your cursor to another newly inserted layer line ready for the next new layer.  Remember to hit APPLY or OK when you have finished though, otherwise all your efforts in entering lots of new layers will be lost!

So there you have it, my first entry on HowToAutoCAD.com, hope you found it useful and thanks for reading.

Mark

Enter Your Mail Address

Be Sociable, Share!

{ 8 comments }

neil jones December 14, 2011 at 8:21 am

A useful tip that I also use – although make sure that the layer above isn’t set to No_Plot (or at least remember to make the new one plottable if required…..!!!!!!) – this has caused some head scratching at times

Edgetrimmer December 14, 2011 at 1:08 pm

Hi Mark,

Merry Christmas. Sounds like a neat trick. I don’t know if I have a sysvar set wrong or something, but after selecting a layer to copy, making the layer name active and pressing Ctrl-C to copy name to clipboard, pressing ‘ just overwrites the currently selected layer name with ‘. What am I missing?

Neil jones December 14, 2011 at 7:14 pm

I think it should be a comma , rather than ‘

neil jones December 14, 2011 at 8:27 pm

It should be a comma (,) rather than an apostrophe (‘) shouldn’t it??

Will December 20, 2011 at 10:48 am

Yes you’re all quite right – post has been amended to suit. Thanks for pointing this out!

john December 21, 2011 at 12:30 pm

To add to Will’s layer page you can also add a small script or lisp file to create layers very quickly, like below.
another way is to create a drawing or template that contains just the layer, colors and line types that you insert as a exploded block if layers have been purged.

(defun c:DETAILLAY()(setvar “cmdecho” 0)command “.layer” “m” “C-DETL” “c” “2” “C-DETL” “lt” “CONTINUOUS” “C-DETL” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-CNTR” “c” “2” “C-DETL-CNTR” “lt” “CENTER2” “C-DETL-CNTR” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-DIMS” “c” “2” “C-DETL-DIMS” “lt” “CONTINUOUS” “C-DETL-DIMS” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-IDEN” “c” “2” “C-DETL-IDEN” “lt” “CONTINUOUS” “C-DETL-IDEN” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-001” “c” “1” “C-DETL-LIN-001” “lt” “CONTINUOUS” “C-DETL-LIN-001” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-002” “c” “2” “C-DETL-LIN-002” “lt” “CONTINUOUS” “C-DETL-LIN-002” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-003” “c” “3” “C-DETL-LIN-003” “lt” “CONTINUOUS” “C-DETL-LIN-003” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-004” “c” “4” “C-DETL-LIN-004” “lt” “CONTINUOUS” “C-DETL-LIN-004” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-005” “c” “5” “C-DETL-LIN-005” “lt” “CONTINUOUS” “C-DETL-LIN-005” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-006” “c” “6” “C-DETL-LIN-006” “lt” “CONTINUOUS” “C-DETL-LIN-006” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-LIN-253” “c” “2” “C-DETL-LIN-253” “lt” “CONTINUOUS” “C-DETL-LIN-253” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-001” “c” “1” “C-DETL-TXT-001” “lt” “CONTINUOUS” “C-DETL-TXT-001” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-002” “c” “2” “C-DETL-TXT-002” “lt” “CONTINUOUS” “C-DETL-TXT-002” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-003” “c” “3” “C-DETL-TXT-003” “lt” “CONTINUOUS” “C-DETL-TXT-003” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-004” “c” “4” “C-DETL-TXT-004” “lt” “CONTINUOUS” “C-DETL-TXT-004” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-005” “c” “5” “C-DETL-TXT-005” “lt” “CONTINUOUS” “C-DETL-TXT-005” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-006” “c” “6” “C-DETL-TXT-006” “lt” “CONTINUOUS” “C-DETL-TXT-006” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-TXT-253” “c” “253” “C-DETL-TXT-253” “lt” “CONTINUOUS” “C-DETL-TXT-253” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-PATT-C1” “c” “1” “C-DETL-PATT-C1” “lt” “CONTINUOUS” “C-DETL-PATT-C1” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-PATT-C2” “c” “2” “C-DETL-PATT-C2” “lt” “CONTINUOUS” “C-DETL-PATT-C2” “””.layer” “s” “0” “”)
(command “.layer” “m” “C-DETL-PATT-C253” “c” “253” “C-DETL-PATT-C253” “lt” “CONTINUOUS” “C-DETL-PATT-C253” “””.layer” “s” “0” “”)
(setvar “cmdecho” 1)(prin1)(princ)

Brian M. Curran December 28, 2011 at 10:05 pm

That’s a cool little tip Mark. Thank you for taking the time to share!

Joel April 2, 2012 at 7:13 pm

I really liked this article Mark !

Comments on this entry are closed.

Previous post:

Next post: